| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::CUSBTMCResourceManager Class Reference

USBTMC Resource Manager class. More...

`#include <USBTMCInstrument.h>`

Inheritance diagram for MTL::Instrument::CUSBTMCResourceManager:
[legend]
Collaboration diagram for MTL::Instrument::CUSBTMCResourceManager:
[legend]

## Public Member Functions
| CUSBTMCResourceManager (void)
| Constructor.
virtual | ~CUSBTMCResourceManager (void)
| Destructor.
virtual bool | Initialize (void)
| Initialize the Resource Manager.
virtual bool | FindResources (CResourceList &rList, std::string Filter="?*")
| Find USBTMC resources.
virtual std::string | StatusDescription (I32 Status)
| Return description of status word.
virtual bool | Timeout (void)
| Last operation timed out.
Public Member Functions inherited from MTL::Instrument::CIEEE488ResourceManager
| CIEEE488ResourceManager ()
virtual | ~CIEEE488ResourceManager ()
I32 | Status (void)

## Friends
class | CUSBTMCInstrument

## Additional Inherited Members
Protected Attributes inherited from MTL::Instrument::CIEEE488ResourceManager
CMutex | m_Lock
| Lock onto the resource manager.
I32 | m_Status
| Status of last operation.

## Detailed Description

USBTMC Resource Manager class.

Definition at line 30 of file USBTMCInstrument.h.

## Constructor & Destructor Documentation

## ◆ CUSBTMCResourceManager()

CUSBTMCResourceManager::CUSBTMCResourceManager | ( | void |  | ) |

Constructor.

Definition at line 45 of file USBTMCInstrument.cpp.

## ◆ ~CUSBTMCResourceManager()

CUSBTMCResourceManager::~CUSBTMCResourceManager | ( | void |  | ) |
| virtual

Destructor.

Definition at line 51 of file USBTMCInstrument.cpp.

## Member Function Documentation

## ◆ FindResources()

bool CUSBTMCResourceManager::FindResources | ( | CResourceList & | rList,
|  | std::string | Filter = "?*" )
| virtual

Find USBTMC resources.

Parameters

  [out] | rList | List of matching USBTMC resources.
  [in] | Filter | "VID:PID"; VID & PID are decimal integers.

Returns
  True if successful.

Implements MTL::Instrument::CIEEE488ResourceManager.

Definition at line 103 of file USBTMCInstrument.cpp.

## ◆ Initialize()

bool CUSBTMCResourceManager::Initialize | ( | void |  | ) |
| virtual

Initialize the Resource Manager.

Implements MTL::Instrument::CIEEE488ResourceManager.

Definition at line 69 of file USBTMCInstrument.cpp.

## ◆ StatusDescription()

std::string CUSBTMCResourceManager::StatusDescription | ( | I32 | Status | ) |
| virtual

Return description of status word.

Parameters

  [in] | Status | Status word.

Returns
  Status description.

Implements MTL::Instrument::CIEEE488ResourceManager.

Definition at line 301 of file USBTMCInstrument.cpp.

## ◆ Timeout()

bool CUSBTMCResourceManager::Timeout | ( | void |  | ) |
| virtual

Last operation timed out.

Implements MTL::Instrument::CIEEE488ResourceManager.

Definition at line 312 of file USBTMCInstrument.cpp.

## Friends And Related Symbol Documentation

## ◆ CUSBTMCInstrument

friend class CUSBTMCInstrument
| friend

Definition at line 32 of file USBTMCInstrument.h.

The documentation for this class was generated from the following files:

- Common/USBTMCInstrument/include/USBTMCInstrument.h
- Common/USBTMCInstrument/src/USBTMCInstrument.cpp